=== doc/CMakeLists.txt ===
# CMake script for the physamp package
# Author: Julien Dutheil
# Created: 24/10/2014

IF(INFO)
  INSTALL(FILES physamp.info DESTINATION share/info)
ENDIF(INFO)
