=== man/CMakeLists.txt ===
# CMake script for the physamp package
# Author: Julien Dutheil
# Created: 24/10/2014

IF(MAN)
  INSTALL(FILES bppalnoptim.1.gz DESTINATION share/man/man1)
ENDIF(MAN)
