=== debian/changelog ===
physamp (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #834208)

 -- Andreas Tille <tille@debian.org>  Sat, 13 Aug 2016 08:24:09 +0200
