=== debian/control ===
Source: physamp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               texinfo,
               libbpp-phyl-dev (>= 2.2.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/physamp.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/physamp.git
Homepage: http://biopp.univ-montp2.fr/forge/physamp

Package: physamp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: sample sequence alignment according to its corresponding phylogenetic tree
 The PhySamp package currently contains one program, bppalnoptim, which
 samples a sequence alignment by removing sequences in order to maximize
 the number of sites suitable for a given analysis. The program has three
 running modes:
  * Interactive: the user will be iteratively proposed a set of choices
    for sequence removal, with their corresponding site gains. The
    procedure stops when the user does not want to remove more sequences,
    and the resulting filtered alignment is written.
  * Automatic: the user enters an a priori criterion for stopping
    the filtering procedure (for instance a minimum number of
    sequences to keep).
  * Diagnostic: this mode allows one to plot the trade-off curve, by showing
    the site gain as a function of the number of removed sequences.
