=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# export DEB_BUILD_MAINT_OPTIONS = hardening=+all # does not build
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@
