=== debian/watch ===
version=3

http://biopp.univ-montp2.fr/repos/sources/physamp physamp-(\d[-\d.]+)\.tar\.gz
