=== debian/changelog ===
physamp (1.0.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #868919
  * d/watch pointing to Github
  * Fix homepage
  * debhelper 10
  * Adjust versioned Build-Depends
  * Standards-Version: 4.0.0 (no changes needed)

  [ Julien Y. Dutheil ]
  * Updated from upstream.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 20 Jul 2017 10:42:52 +0200
