=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: physamp
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Julien Dutheil <julien.dutheil@univ-montp2.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                texinfo,
-               libbpp-phyl-dev (>= 2.2.0)
-Standards-Version: 3.9.8
+               libbpp-phyl-dev (>= 2.3.1)
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/physamp.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/physamp.git
-Homepage: http://biopp.univ-montp2.fr/forge/physamp
+Homepage: https://jydu.github.io/physamp/
 
 Package: physamp
 Architecture: any
