## physamp 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,6 +59,7 @@
   # Generate command line args (always add -c to output compressed file to stdout)
   if (${COMPRESS_PROGRAM} STREQUAL "gzip")
     # -n for no timestamp in files (reproducible builds)
+    # -9 for maximum compression (lintian error)
     set (COMPRESS_ARGS -c9n)
   else ()
     set (COMPRESS_ARGS -c)
@@ -73,7 +74,7 @@
 ENDIF (CMAKE_INSTALL_PREFIX)
 
 include (GNUInstallDirs)
-find_package (bpp-phyl 11.0.0 REQUIRED)
+find_package (bpp-phyl 12.0.0 REQUIRED)
 
 
 # Subdirectories
@@ -86,10 +87,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "physamp")
 SET(CPACK_PACKAGE_VENDOR "Julien Y. Dutheil")
-SET(CPACK_PACKAGE_VERSION "1.0.3")
+SET(CPACK_PACKAGE_VERSION "1.1.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "1")
-SET(CPACK_PACKAGE_VERSION_MINOR "0")
-SET(CPACK_PACKAGE_VERSION_PATCH "3")
+SET(CPACK_PACKAGE_VERSION_MINOR "1")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Phylogenetic Sampler package")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
