=== debian/changelog ===
physamp (1.1.0-6) unstable; urgency=medium

  * Team upload.
  * cmake-4.patch: new: bump minimum cmake to 3.10. (Closes: #1113404)
  * d/watch: convert to v5 Github template.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 Oct 2025 20:21:44 +0200

physamp (1.1.0-5) unstable; urgency=medium

  * Team upload.
  * d/patches/unforce-cxxflags.patch: merge with upstream's flags,
    especially -std=c++11; forward our patch to upstream.
  * r/rules: enable full hardening
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Mar 2024 18:59:54 +0100

physamp (1.1.0-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 18:05:20 +0100

physamp (1.1.0-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 15:04:43 +0200

physamp (1.1.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Builds against Bio++ 2.4.1.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 11:29:32 +0100

physamp (1.1.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * shortened single line description
  * debian/upstream/metadata:
    - reference to paper
    - stated that there are no entries in catalogs

  [ Julien Y. Dutheil ]
  * New upstream version.
  * Compiles with -DCMAKE_BUILD_TYPE=RelWithDebInfo to generate debug info
    (lintian warning)
  * Point Vcs-fields to salsa.debian.org
  * Standards-Version: 4.1.4

  [ Andreas Tille ]
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 18 Apr 2018 16:28:13 +0200

physamp (1.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 03 Sep 2017 21:09:33 +0200

physamp (1.0.2-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Added bppsuite breaks+replaces statement
    Closes: #870228
  * Updated description to include bppPhySamp program.
  * Does not override debian cxx flags anymore.

  [ Andreas Tille ]
  * Standards-Version: 4.1.0 (no changes needed)
  * use `cme fix dpkg-control` to adjust line length in description

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 09 Aug 2017 23:25:04 +0200
