=== debian/control ===
Source: physamp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Julien Dutheil <julien.dutheil@univ-montp2.fr>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               texinfo,
               libbpp-phyl-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/physamp
Vcs-Git: https://salsa.debian.org/med-team/physamp.git
Homepage: https://jydu.github.io/physamp/

Package: physamp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: sample sequence alignment corresponding to phylogeny
 The PhySamp package currently contains two programs: bppphysamp, which
 samples sequences according to their similarity, and bppalnoptim, which
 samples a sequence alignment by removing sequences in order to maximize
 the number of sites suitable for a given analysis. The bppalnoptim
 program has three running modes:
  * Interactive: the user will be iteratively proposed a set of choices
    for sequence removal, with their corresponding site gains. The
    procedure stops when the user does not want to remove more sequences,
    and the resulting filtered alignment is written.
  * Automatic: the user enters an a priori criterion for stopping
    the filtering procedure (for instance a minimum number of
    sequences to keep).
  * Diagnostic: this mode allows one to plot the trade-off curve, by
    showing the site gain as a function of the number of removed
    sequences.
