=== debian/watch ===
Version: 5

Template: Github
Owner: jydu
Project: physamp
